%define up_name labltk

Summary:       Tcl/Tk interface for OCaml
Name:          ocaml-%{up_name}
Version:       8.06.0
Release:       %mkrel 2
Group:         Development/OCaml
License:       LGPLv2+ with exceptions
URL:           https://forge.ocamlcore.org/projects/labltk/
Source0:       https://forge.ocamlcore.org/frs/download.php/1455/labltk-8.06.0.tar.xz
Source1:       META
# This adds debugging (-g) everywhere.
Patch1:        labltk-8.06.0-enable-debugging.patch
BuildRequires: ocaml-compiler
BuildRequires: ocaml-compiler-libs
BuildRequires: tcl-devel
BuildRequires: tk-devel

%description
labltk or mlTk is a library for interfacing OCaml with the scripting
language Tcl/Tk (all versions since 8.0.3, but no betas).

%package devel
Summary:       Tcl/Tk interface for OCaml
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
labltk or mlTk is a library for interfacing OCaml with the scripting
language Tcl/Tk (all versions since 8.0.3, but no betas).

This package contains the development files.

%prep
%setup -q -n labltk-%{version}
%patch1 -p1

# Remove version control files which might get copied into documentation.
find -name .gitignore -delete

%build
./configure
%make all
%make opt

%install
mkdir -p %buildroot%{_bindir}
mkdir -p %buildroot%{_libdir}/ocaml/labltk
mkdir -p %buildroot%{_libdir}/ocaml/stublibs
make install \
    BINDIR=%buildroot%{_bindir} \
    INSTALLDIR=%buildroot%{_libdir}/ocaml/labltk \
    STUBLIBDIR=%buildroot%{_libdir}/ocaml/stublibs
# The *.o files are not installed by the Makefile.  AIUI
# that prevents linking with native code programs.
install -m 0644 camltk/*.o $RPM_BUILD_ROOT%{_libdir}/ocaml/labltk

install -m 0644 %{SOURCE1} %buildroot%{_libdir}/ocaml/labltk/META

%files
%doc Changes README.mlTk
%dir %{_libdir}/ocaml/labltk
%{_libdir}/ocaml/labltk/*.cmi
%{_libdir}/ocaml/labltk/*.cma
%{_libdir}/ocaml/labltk/*.cmo
%{_libdir}/ocaml/stublibs/dlllabltk.so
%{_libdir}/ocaml/labltk/META

%files devel
%doc README.mlTk
%doc examples_camltk
%doc examples_labltk
%{_bindir}/labltk
%{_bindir}/ocamlbrowser
%{_libdir}/ocaml/labltk/labltktop
%{_libdir}/ocaml/labltk/pp
%{_libdir}/ocaml/labltk/tkcompiler
%{_libdir}/ocaml/labltk/*.a
%{_libdir}/ocaml/labltk/*.cmxa
%{_libdir}/ocaml/labltk/*.cmx
%{_libdir}/ocaml/labltk/*.o
%{_libdir}/ocaml/labltk/*.mli


%changelog
* Sat Jun 02 2018 adrianomorselli <adrianomorselli> 8.06.0-2uplos2018
- rebuild against updates
